%define	_name	wavelet-decompose

Name:		gimp-plugin-%{_name}
Version:	0.1.2
Release:	%mkrel 2
Summary:	Gimp plugin to decomposes a layer into layers of wavelet scales
Url:		http://registry.gimp.org/node/11742
Source:		http://registry.gimp.org/files/%{_name}-%{version}.tar.gz
License:	GPLv2
Group:		Graphics

BuildRequires:	gimp-devel

Requires:	gimp

Provides:	%{_name}-gimp = %{version}-%{release}

%description
This plugin losslessly decomposes a layer of an image into layers
of wavelet scales. 
This means that you can edit the image on different detail scales.
The trivial recomposition of the image can be done by GIMP's layer modes so 
you can see the results of your modifications instantly. 

Among the applications are:
 - retouching
 - noise reduction
 - enhancing global contrast

%prep
%setup -q -n %{_name}-%{version}

%build
%make

%install
for i in `find po -name "*.po"`;
do
	lang=`basename $i`
	lang=${lang/\.po/}
	install -D -d -m 755 %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES/
done
make -C po install LOCALEDIR=%{buildroot}%{_datadir}/locale
install -Dm 755 src/%{_name} %{buildroot}%{_libdir}/gimp/2.0/plug-ins/%{_name}

%files
%doc COPYING AUTHORS ChangeLog THANKS README TRANSLATIONS
%{_datadir}/locale/*/LC_MESSAGES/gimp20-%{_name}-plug-in.mo
%{_libdir}/gimp/2.0/plug-ins/%{_name}


%changelog

* Wed Jan 18 2012 matteo <matteo> 0.1.2-2.mga2
+ Revision: 197839
- fixed provides

* Wed Jan 18 2012 matteo <matteo> 0.1.2-1.mga2
+ Revision: 197806
- imported package gimp-plugin-wavelet-decompose

